drop table FLW_TEMPL_VAR_DEFINITION;
drop table FLW_TEMPL_DEFINITION;
drop table FLW_TEMPL_DEPLOYMENT_RESOURCE;
drop table FLW_TEMPL_DEPLOYMENT;
drop table FLW_TP_DATABASECHANGELOG;
drop table FLW_TP_DATABASECHANGELOGLOCK;

drop index FLW_IDX_DATAOBJECT_DEF_UNIQ;
drop index IDX_DATAOBJECT_DEF_DEPLOYMENT;

drop table FLW_DATAOBJECT_DEFINITION;
drop table FLW_DO_DEPLOYMENT_RESOURCE;
drop table FLW_DATAOBJECT_DEPLOYMENT;
drop table FLW_DO_DATABASECHANGELOG;
drop table FLW_DO_DATABASECHANGELOGLOCK;

drop index FLW_IDX_AUDIT_INST_CREATE;
drop index FLW_IDX_AUDIT_INST_SCOPE;
drop index FLW_IDX_AUDIT_INST_TYPE;
drop index FLW_IDX_AUDIT_INST_DEF;

drop table FLW_AUDIT_INSTANCE;
drop table FLW_AU_DATABASECHANGELOG;
drop table FLW_AU_DATABASECHANGELOGLOCK;

drop index ACT_IDX_ACTIONs_DEF_UNIQ;
drop index IDX_HI_ACTION_INST_ACTION_DEF;
drop index ACTION_HI_DEFINITION_ID_;
drop index IDX_HI_ACTION_LINK_ACTION_INST;
drop index FLW_IDX_HI_ACTION_LINK_SCOPE;
drop index IDX_ACTION_INST_ACTION_DEF;
drop index IDX_ACTION_DEF_DEPLOYMENT;
drop index ACTION_DEFINITION_ID_;
drop index IDX_ACTION_LINK_ACTION_INST;
drop index FLW_IDX_ACTION_LINK_SCOPE;

drop table FLW_ACTION_DEF_LINK;
drop table FLW_HI_ACTION_LINK;
drop table FLW_HI_ACTION_INSTANCE;
drop table FLW_ACTION_LINK;
drop table FLW_ACTION_INSTANCE;
drop table FLW_ACTION_DEFINITION;
drop table FLW_ACTION_DEPLOYMENT_RESOURCE;
drop table FLW_ACTION_DEPLOYMENT;
drop table FLW_AD_DATABASECHANGELOG;
drop table FLW_AD_DATABASECHANGELOGLOCK;

drop index idx_rendition_scope;
drop index idx_rendition_procid;
drop index idx_rendition_taskid;
drop index idx_contitem_scope;
drop index idx_contitem_procid;
drop index idx_contitem_taskid;
drop index idx_contitem_name;
drop index idx_contitem_verparid;

drop table FLW_CO_METADATA;
drop table FLW_CO_DEFINITION;
drop table FLW_CO_DEPLOYMENT_RESOURCE;
drop table FLW_CO_DEPLOYMENT;
drop table FLW_CO_CONTENT_OBJECT;
drop table FLW_CO_CONTENT_ITEM;
drop table FLW_CO_RENDITION_ITEM;
drop table FLW_CO_DATABASECHANGELOG;
drop table FLW_CO_DATABASECHANGELOGLOCK;

drop index FLW_IDX_FORM_DEF_UNIQ;

drop table FLW_FO_FORM_INSTANCE;
drop table FLW_FO_FORM_DEFINITION;
drop table FLW_FO_FORM_RESOURCE;
drop table FLW_FO_FORM_DEPLOYMENT;
drop table FLW_FO_DATABASECHANGELOG;
drop table FLW_FO_DATABASECHANGELOGLOCK;

drop index ACT_IDX_APP_DEF_UNIQ;
drop index ACT_IDX_APP_DEF_DPLY;
drop index ACT_IDX_APP_RSRC_DPL;

drop table ACT_APP_APPDEF;
drop table ACT_APP_DEPLOYMENT_RESOURCE;
drop table ACT_APP_DEPLOYMENT;
drop table ACT_APP_DATABASECHANGELOG;
drop table ACT_APP_DATABASECHANGELOGLOCK;

drop index IDX_COMMENT_USER_ID;
drop index IDX_COMMENT_SCOPE_ID;

drop table FLW_COMMENT;
drop table FLW_PLC_DATABASECHANGELOG;
drop table FLW_PLC_DATABASECHANGELOGLOCK;

drop table FLW_LIC_LICENSE;
drop table FLW_LIC_DATABASECHANGELOG;
drop table FLW_LIC_DATABASECHANGELOGLOCK;

drop index IDX_USER_ACCOUNT_USER_DEF;
drop index IDX_USER_ACCOUNT_USER;
drop index IDX_USER_ACC_TYPE_SUB_EXT_USER;
drop index FLW_IDX_IDM_INFO_GROUP_ID;
drop index FLW_IDX_IDM_INFO_USER_ID;
drop index FLW_IDX_USER_UPDATE_TIME;
drop index FLW_IDX_USER_CREATE_TIME;
drop index FLW_IDX_USER_USER_DEF;
drop index FLW_IDX_USER_SYSTEM;
drop index FLW_IDX_PRIV_GROUP;
drop index FLW_IDX_PRIV_USER;
drop index FLW_IDX_PRIV_MAPPING;
drop index FLW_IDX_MEMB_USER;
drop index FLW_IDX_MEMB_GROUP;

drop table FLW_ID_USER_ACCOUNT;
drop table FLW_ID_USER_ACCOUNT_DEFINITION;
drop table FLW_ID_PRIV_MAPPING;
drop table FLW_ID_PRIV;
drop table FLW_ID_TOKEN;
drop table FLW_IDENTITY_INFO;
drop table FLW_ID_INFO;
drop table FLW_ID_USER_DEFINITIONS;
drop table FLW_ID_MEMBERSHIP;
drop table FLW_ID_USER;
drop table FLW_ID_GROUP;
drop table FLW_ID_PROPERTY;
drop table FLW_ID_DATABASECHANGELOG;
drop table FLW_ID_DATABASECHANGELOGLOCK;
