
UPDATE flw_id_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:16.527' WHERE ID = 1 AND LOCKED = FALSE;

ALTER TABLE FLW_IDENTITY_INFO ADD TENANT_ID_ VARCHAR(255) DEFAULT '';

ALTER TABLE FLW_IDENTITY_INFO ADD UPDATE_TIME_ TIMESTAMP(6) WITHOUT TIME ZONE;

INSERT INTO flw_id_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 14, '7:267324337bb34d43ea7d9e45d969143e', 'addColumn tableName=FLW_IDENTITY_INFO', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457937095');

ALTER TABLE FLW_IDENTITY_INFO DROP CONSTRAINT FK_IDENTITY_INFO_ID_USER;

ALTER TABLE FLW_IDENTITY_INFO DROP CONSTRAINT FK_IDENTITY_INFO_ID_GROUP;

ALTER TABLE FLW_ID_USER_ACCOUNT DROP CONSTRAINT FK_ID_USER_ACCOUNT_USER;

DROP INDEX FLW_IDX_IDM_INFO_GROUP_ID;

ALTER TABLE FLW_IDENTITY_INFO DROP COLUMN GROUP_ID_;

INSERT INTO flw_id_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('15', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 15, '7:6a800059199657c89641941be54aa754', 'dropForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_USER; dropForeignKeyConstraint baseTableName=FLW_IDENTITY_INFO, constraintName=FK_IDENTITY_INFO_ID_GROUP; dropForeignKeyConstraint baseTableName=FLW_ID_US...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457937095');

ALTER TABLE FLW_IDENTITY_INFO ALTER COLUMN  USER_ID_ SET NOT NULL;

ALTER TABLE FLW_IDENTITY_INFO ADD CONSTRAINT FLW_UQ_ID_INFO_TENANT_USR_NAME UNIQUE (TENANT_ID_, USER_ID_, NAME_);

UPDATE FLW_IDENTITY_INFO INFO
            SET TENANT_ID_ = (SELECT U.TENANT_ID_ FROM FLW_ID_USER U WHERE U.ID_ = INFO.USER_ID_)
            WHERE INFO.USER_ID_ IS NOT NULL;

INSERT INTO flw_id_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('16', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 16, '7:dd8bd3f93e7f18b95c88a093a4c44ea2', 'addNotNullConstraint columnName=USER_ID_, tableName=FLW_IDENTITY_INFO; addUniqueConstraint constraintName=FLW_UQ_ID_INFO_TENANT_USR_NAME, tableName=FLW_IDENTITY_INFO; sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457937095');

INSERT INTO FLW_IDENTITY_INFO (
            ID_,
            REV_,
            TYPE_,
            NAME_,
            TEXT_,
            USER_ID_,
            TENANT_ID_
            )
            SELECT 'IDM-' || md5(random()::text || clock_timestamp()::text)::uuid AS ID_,
            0 AS REV_,
            TYPE_,
            NAME_,
            TEXT_,
            USER_ID_,
            TENANT_ID_
            FROM (
            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableState' AS NAME_, U.STATE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.STATE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableSubState' AS NAME_, U.SUB_STATE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.SUB_STATE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableType' AS NAME_, U.TYPE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.TYPE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableSubType' AS NAME_, U.SUB_TYPE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.SUB_TYPE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableLanguage' AS NAME_, U.LANGUAGE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.LANGUAGE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableTheme' AS NAME_, U.THEME_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.THEME_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowablePresence' AS NAME_, U.PRESENCE_ AS TEXT_
            FROM FLW_ID_USER U
            WHERE U.PRESENCE_ IS NOT NULL

            UNION

            SELECT U.ID_ AS USER_ID_, U.TENANT_ID_ AS TENANT_ID_, 'string' AS TYPE_, '__flowableUserDefinitionKey' AS NAME_, DEF.KEY_ AS TEXT_
            FROM FLW_ID_USER U
            LEFT JOIN FLW_ID_USER_DEFINITIONS DEF ON U.USER_DEFINITION_ID_ = DEF.ID_
            WHERE U.USER_DEFINITION_ID_ IS NOT NULL

            ) INFO;

ALTER TABLE FLW_ID_USER DROP COLUMN STATE_;

ALTER TABLE FLW_ID_USER DROP COLUMN SUB_STATE_;

ALTER TABLE FLW_ID_USER DROP COLUMN TYPE_;

ALTER TABLE FLW_ID_USER DROP COLUMN SUB_TYPE_;

ALTER TABLE FLW_ID_USER DROP COLUMN LANGUAGE_;

ALTER TABLE FLW_ID_USER DROP COLUMN THEME_;

ALTER TABLE FLW_ID_USER DROP COLUMN PRESENCE_;

ALTER TABLE FLW_ID_USER DROP COLUMN PRESENCE_TIME_;

DROP INDEX FLW_IDX_USER_USER_DEF;

ALTER TABLE FLW_ID_USER DROP COLUMN USER_DEFINITION_ID_;

DROP INDEX FLW_IDX_USER_SYSTEM;

ALTER TABLE FLW_ID_USER DROP COLUMN SYSTEM_ID_;

ALTER TABLE FLW_ID_USER DROP COLUMN SYSTEM_TYPE_;

INSERT INTO flw_id_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17', 'flowable', 'com/flowable/platform/idm/db/liquibase/flowable-idm-db-changelog.xml', NOW(), 17, '7:eded7ac61bd65bed2ebe7f45456a55fb', 'sql; dropColumn columnName=STATE_, tableName=FLW_ID_USER; dropColumn columnName=SUB_STATE_, tableName=FLW_ID_USER; dropColumn columnName=TYPE_, tableName=FLW_ID_USER; dropColumn columnName=SUB_TYPE_, tableName=FLW_ID_USER; dropColumn columnName=LA...', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457937095');

UPDATE flw_id_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_lic_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:17.391' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_lic_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_pl_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:17.525' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_pl_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE act_app_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:17.660' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE act_app_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_fo_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:17.771' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_fo_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_co_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:17.876' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_co_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_ad_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.018' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_ad_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_au_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.145' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_au_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_do_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.256' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE FLW_DO_DATAOBJECT_INSTANCE (ID_ VARCHAR(255) NOT NULL, REV_ INT NOT NULL, DEFINITION_ID_ VARCHAR(255) NOT NULL, DEFINITION_KEY_ VARCHAR(255) NOT NULL, LOOKUP_ID_ VARCHAR(128), CREATION_TIME_ TIMESTAMP(6) WITHOUT TIME ZONE NOT NULL, CREATOR_ID_ VARCHAR(128), UPDATE_TIME_ TIMESTAMP(6) WITHOUT TIME ZONE NOT NULL, UPDATER_ID_ VARCHAR(128), SCOPE_ID_ VARCHAR(255), SUB_SCOPE_ID_ VARCHAR(255), SCOPE_TYPE_ VARCHAR(255), SCOPE_DEFINITION_ID_ VARCHAR(255), CONSTRAINT PK_DO_DATAOBJECT_INSTANCES PRIMARY KEY (ID_));

INSERT INTO flw_do_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'flowable', 'com/flowable/dataobject/db/liquibase/flowable-dataobject-db-changelog.xml', NOW(), 4, '7:bd7da678a30c8f6d484f0a72ec1ee20c', 'createTable tableName=FLW_DO_DATAOBJECT_INSTANCE', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457938294');

UPDATE flw_do_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_po_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.381' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_po_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_se_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.470' WHERE ID = 1 AND LOCKED = FALSE;

ALTER TABLE FLW_SE_DEFINITION ADD REFERENCE_KEY_ VARCHAR(255);

INSERT INTO flw_se_databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2', 'flowable', 'com/flowable/serviceregistry/db/liquibase/flowable-serviceregistry-db-changelog.xml', NOW(), 2, '7:fc3161b600f16922c3a5bc99c61599b8', 'addColumn tableName=FLW_SE_DEFINITION', '', 'EXECUTED', NULL, NULL, '3.5.3', '5457938505');

UPDATE flw_se_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_tp_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.560' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_tp_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;


UPDATE flw_eng_databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = '192.168.1.15 (192.168.1.15)', LOCKGRANTED = '2019-12-04 12:12:18.639' WHERE ID = 1 AND LOCKED = FALSE;

UPDATE flw_eng_databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

