

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = 1, LOCKEDBY = '192.168.10.1 (192.168.10.1)', LOCKGRANTED = to_timestamp('2019-06-05 20:56:07.191', 'YYYY-MM-DD HH24:MI:SS.FF') WHERE ID = 1 AND LOCKED = 0;

CREATE INDEX IDX_ENGAGE_USR_FILTER ON FLW_ENGAGE_CONVERSATION_STATUS(USER_ID_, FILTER_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', SYSTIMESTAMP, 17, '7:b6077e928b3b1951137e345be04f9c69', 'createIndex indexName=IDX_ENGAGE_USR_FILTER, tableName=FLW_ENGAGE_CONVERSATION_STATUS', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768167496');

ALTER TABLE FLW_ENGAGE_MESSAGE ADD REPLY_TO_MESSAGE_ID_ VARCHAR2(64);

ALTER TABLE FLW_ENGAGE_TEMP_MESSAGE ADD REPLY_TO_MESSAGE_ID_ VARCHAR2(64);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('18', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', SYSTIMESTAMP, 18, '7:eb105cf4c19c5d99900269a02703b192', 'addColumn tableName=FLW_ENGAGE_MESSAGE; addColumn tableName=FLW_ENGAGE_TEMP_MESSAGE', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768167496');

CREATE TABLE FLW_ENGAGE_REACTION (ID_ VARCHAR2(64) NOT NULL, MESSAGE_ID_ VARCHAR2(64) NOT NULL, USER_ID_ VARCHAR2(64) NOT NULL, REACTION_ CLOB NOT NULL, CONSTRAINT PK_ENGAGE_REACTION PRIMARY KEY (ID_), CONSTRAINT FK_ENGAGE_REACTION_MESSAGE FOREIGN KEY (MESSAGE_ID_) REFERENCES FLW_ENGAGE_MESSAGE(ID_) ON DELETE CASCADE);

CREATE INDEX FLW_IDX_REACTION_MSG ON FLW_ENGAGE_REACTION(MESSAGE_ID_);

INSERT INTO FLW_ENG_DATABASECHANGELOG (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('19', 'flowable', 'com/flowable/engage/db/liquibase/flowable-engage-db-changelog.xml', SYSTIMESTAMP, 19, '7:2a082a21ab2b628e879632276ad032c8', 'createTable tableName=FLW_ENGAGE_REACTION; createIndex indexName=FLW_IDX_REACTION_MSG, tableName=FLW_ENGAGE_REACTION', '', 'EXECUTED', NULL, NULL, '3.5.3', '9768167496');

UPDATE FLW_ENG_DATABASECHANGELOGLOCK SET LOCKED = 0, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

