

CREATE TABLE [FLW_PLC_DATABASECHANGELOGLOCK] ([ID] [int] NOT NULL, [LOCKED] [bit] NOT NULL, [LOCKGRANTED] [datetime2](3), [LOCKEDBY] [nvarchar](255), CONSTRAINT [PK_FLW_PLC_DATABASECHANGELOGLOCK] PRIMARY KEY ([ID]))

DELETE FROM [FLW_PLC_DATABASECHANGELOGLOCK]

INSERT INTO [FLW_PLC_DATABASECHANGELOGLOCK] ([ID], [LOCKED]) VALUES (1, 0)

UPDATE [FLW_PLC_DATABASECHANGELOGLOCK] SET [LOCKED] = 1, [LOCKEDBY] = '192.168.10.1 (192.168.10.1)', [LOCKGRANTED] = '2019-08-20T20:09:51.135' WHERE [ID] = 1 AND [LOCKED] = 0

CREATE TABLE [FLW_PLC_DATABASECHANGELOG] ([ID] [nvarchar](255) NOT NULL, [AUTHOR] [nvarchar](255) NOT NULL, [FILENAME] [nvarchar](255) NOT NULL, [DATEEXECUTED] [datetime2](3) NOT NULL, [ORDEREXECUTED] [int] NOT NULL, [EXECTYPE] [nvarchar](10) NOT NULL, [MD5SUM] [nvarchar](35), [DESCRIPTION] [nvarchar](255), [COMMENTS] [nvarchar](255), [TAG] [nvarchar](255), [LIQUIBASE] [nvarchar](20), [CONTEXTS] [nvarchar](255), [LABELS] [nvarchar](255), [DEPLOYMENT_ID] [nvarchar](10))

CREATE TABLE [FLW_COMMENT] ([ID_] [nvarchar](255) NOT NULL, [REV_] [int] NOT NULL, [CONTENT_] [nvarchar](MAX), [SCOPE_ID_] [nvarchar](255), [SCOPE_TYPE_] [nvarchar](64), [USER_ID_] [nvarchar](255), [CREATED_] [datetime2](6), [UPDATED_] [datetime2](6), [TENANT_ID_] [nvarchar](255), CONSTRAINT [PK_FLW_COMMENT] PRIMARY KEY ([ID_]))

CREATE NONCLUSTERED INDEX IDX_COMMENT_SCOPE_ID ON [FLW_COMMENT]([SCOPE_ID_], [SCOPE_TYPE_])

CREATE NONCLUSTERED INDEX IDX_COMMENT_USER_ID ON [FLW_COMMENT]([USER_ID_])

INSERT INTO [FLW_PLC_DATABASECHANGELOG] ([ID], [AUTHOR], [FILENAME], [DATEEXECUTED], [ORDEREXECUTED], [MD5SUM], [DESCRIPTION], [COMMENTS], [EXECTYPE], [CONTEXTS], [LABELS], [LIQUIBASE], [DEPLOYMENT_ID]) VALUES ('1', 'flowable', 'com/flowable/comment/db/liquibase/flowable-comment-db-changelog.xml', GETDATE(), 1, '7:8cef13079a4fc878736a541c6941ca2d', 'createTable tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_SCOPE_ID, tableName=FLW_COMMENT; createIndex indexName=IDX_COMMENT_USER_ID, tableName=FLW_COMMENT', '', 'EXECUTED', NULL, NULL, '3.5.3', '6324591217')

UPDATE [FLW_PLC_DATABASECHANGELOGLOCK] SET [LOCKED] = 0, [LOCKEDBY] = NULL, [LOCKGRANTED] = NULL WHERE [ID] = 1

